<?

require'../config.php';
$align='left';
$title='Цвет статуса';
aut();
head();
who_add(0,'enter');



if ($_GET['i']==1)echo '<b>Изменения сохранены.</b><br />';
if ($_GET['i']==2)echo '<b>Ошибка. Сообщите администрации</b><br />';

if (empty($act)){


if ($ver!='wml')echo '<form action="cvetstatus?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';


echo 'Ваш статус: <font color="'.$user[color_status].'"><b>'.$user[status].'</b></font><br/>';
echo 'Цвет статуса :<br/>
<select name="color_status">';
echo '<option value="black">Стандарт ( черный )</option>';
echo '<option value="green">Зеленый</option>';
echo '<option value="red">Красный</option>';
echo '<option value="orange">Оранжевый</option>';
echo '<option value="blue">Синий</option>';
echo '<option value="violet">Фиолетовый</option>';
echo '<option value="indigo">Индиго</option>';
echo '<option value="gray">Серый</option>';
echo '<option value="aqua">Океанический</option>';
echo '<option value="gold">Золотистый</option>';
echo '<option value="olive">Оливковый</option>';
echo '<option value="lime">Лаймовый</option>';
echo '<option value="pink">Розовый</option>';

echo '</select><br/>';


if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="cvetstatus?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';

echo '<postfield name="color_status" value="$color_status"/>

</go></anchor>';
echo '<br/><br/>';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form><br /><br />';
}
}else{

$color_status= check($_POST['color_status']);


if($db->sql_query('UPDATE `users` SET `color_status` = "'.$color_status.'" WHERE `id` = "'.$user['id'].'"'))
{
header ('Location: cvetstatus?i=1&'.SID);  exit;
}else{
header ('Location: cvetstatus?i=2&'.SID);  exit;
}

}

echo '<br/>';
echo gb.'<a href="'.H.'my/index">Личный кабинет</a><br/>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a><br/>'.div;
foot();
?>